{% extends '@DemosPlanCore/DemosPlanDocument/elements_admin_edit.html.twig' %}

{% block elements_paragraphs %}
    <hr class="u-mv border--top">

    {# paragraph settings for category: upload additional pdf #}
    <form name="planform" action="" method="post" enctype="multipart/form-data">

        <fieldset class="u-pb-0 u-mb-0_75">
            <legend class="u-mb-0_5">{{ "plandocument.file.attach"|trans }}</legend>

            <input type="hidden" name="r_action" value="updateParagraphPDF">

            {# show uploaded pdf or video if present #}
            {% if templateVars.elementFile is not empty %}
                <p class="lbl u-mb-0_25">
                    {{ "file.delete"|trans }}
                </p>
                <div class="break-words u-mb-0_75">
                    <a
                        href="{{ path("core_file_procedure", { 'procedureId': procedure, 'hash': templateVars.elementFile|getFile('hash') }) }}"
                        target="_blank"
                        rel="noopener">
                        <i class="fa fa-file-o" aria-hidden="true"></i> {{ templateVars.elementFile|getFile('name') }}
                    </a>
                    <label class="lbl--text u-mb-0_25">
                        <input type="checkbox" value="1" name="r_planDelete">
                        {{ "delete"|trans }}
                    </label>
                </div>
            {% endif %}

            {# upload new pdf or video #}
            {{ fileupload("r_planPDF", "file.upload.pdf.mp4", "pdf-video", "form.button.upload.file") }}
        </fieldset>

        <div class="text-right">
            <input
                class="btn btn--primary"
                type="submit"
                value="{{ "save"|trans }}"
                data-cy="saveDocumentPDF">
        </div>
    </form>

    {# paragraph settings for category: upload docx #}
    {% if hasPermission('feature_admin_element_paragraph_import_docx') %}
        <hr class="u-mv border--top">

        <form name="begruendungForm" class="flow-root" enctype="multipart/form-data" method="post" action="">

            <input type="hidden" name="action" value="uploadImportFile">

            <fieldset class="u-pb-0 u-mb-0_75">
                <legend class="u-mb-0_5">{{ "plandocument.import.docx"|trans }}</legend>
                <p class="lbl__hint">{{ 'plandocument.import.hint'|trans }}</p>

                {{  fileupload(
                        "r_upload",
                        "hide",
                        "import",
                        "form.button.upload.docx"
                    )
                }}
            </fieldset>

            <div class="text-right">
                <input
                    class="btn btn--primary"
                    type="submit"
                    value="{{ "save"|trans }}"
                    name="importBegruendung"
                    data-cy="saveImportParagraph">
            </div>

        </form>

    {% endif %}

    {#  Raw-filter usage is necessary and considered as save here - should be used with |raw Filter in this special case as html-tags are returned #}
    {{ extensionPointMarkup('formParagraphAdminImportOption', {'path': pathFormGeneral})|raw }}

    {# paragraph settings for category #}
    <hr class="u-mv border--top">

    <h3 class="font-size-large weight--bold u-mb-0_5">
        {{ 'paragraphs'|trans }}
    </h3>

    {% if templateVars.list.documentlist|length > 0 %}
        {# paragraph settings: list paragraphs #}
        <form class="u-mv" name="itemsForm" action="{{ path('DemosPlan_plandocument_administration_element', {'procedure':procedure, 'elementId':templateVars.procedureCurrentElementId}) }}" method="post">

            <div class="flow-root u-mb-0_25">
                <label class="o-link--default inline-block u-ml-0_25 u-mb-0 u-mr-0_5 align-middle line-height--2">
                    <input
                        id="select_all"
                        data-cy="selectAllParagraphs"
                        data-form-actions-check-all
                        type="checkbox">
                    {{ "markall"|trans }}
                </label>

                <button
                    class="btn--blank o-link--default"
                    type="submit"
                    name="delete_item"
                    data-cy="deleteSelectedParagraph"
                    data-form-actions-confirm="{{ "check.entries.marked.delete"|trans }}"
                >
                    <i class="fa fa-times-circle" aria-hidden="true"></i>
                    {{ 'delete'|trans }}
                </button>

                {# paragraph settings for category: new paragraph #}
                <a
                    class="btn btn--primary float-right"
                    data-cy="createNewParagraph"
                    href="{{ path('DemosPlan_plandocument_administration_' ~ category ~ '_new',
                            {'procedure':procedure, 'elementId': templateVars.procedureCurrentElementId}) }}">
                    <i class="fa fa-plus" aria-hidden="true"></i>
                    {{ "paragraph.create"|trans }}
                </a>
            </div>

            <table class="c-table">
                <colgroup>
                    <col class="width-20">
                    <col>
                    <col class="width-20">
                    <col class="width-20">
                </colgroup>
                <thead>
                    <tr>
                        <th></th>
                        <th>
                            {{ "heading"|trans }}
                        </th>
                        <th class="text-center">
                            {{ "status"|trans }}
                        </th>
                        <th class="text-center">
                            {{ "move"|trans }}
                        </th>
                    </tr>
                </thead>
                <tbody>
                    {# twig include is called recursive to render paragraph items #}
                    {% include '@DemosPlanCore/DemosPlanDocument/paragraph_admin_list_entry.html.twig' with {'documents': templateVars.list.documentlist, 'level': 0} %}
                </tbody>
            </table>

        </form>
    {% else %}
        {# paragraph settings: new paragraph #}
        <div class="text-right">
            <a
                class="btn btn--primary"
                data-cy="createNewParagraph"
                href="{{ path('DemosPlan_plandocument_administration_' ~ category ~ '_new',
                    { 'procedure': procedure, 'elementId': templateVars.procedureCurrentElementId } ) }}">
                <i class="fa fa-plus" aria-hidden="true"></i>
                {{ "paragraph.create"|trans }}
            </a>
        </div>
    {% endif %}

{% endblock %}
